## kf6-kio 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts

project(KIO VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMSourceVersionControl)
include(ECMDeprecationSettings)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KIO
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  SOVERSION 6)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KIOCORE_ONLY "Only compile KIOCore, not KIOWidgets or anything that depends on it. This will disable support for cookies and passwordhandling (prompting and storing)." OFF)

# Enable state assertion by default on Jenkins and from-git builds.
# This option should eventually be dropped and always be enabled.
set(ASSERT_WORKER_STATES_DEFAULT OFF)
if(DEFINED ENV{JENKINS_SERVER_COOKIE} OR ECM_SOURCE_UNDER_VERSION_CONTROL)
    set(ASSERT_WORKER_STATES_DEFAULT ON)
endif()
option(KIO_ASSERT_WORKER_STATES
    "Used to control whether worker state assertions are enabled. When not enabled only warnings are generated."
    ${ASSERT_WORKER_STATES_DEFAULT})

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(USE_FTPD_WSGIDAV_UNITTEST "Use ftpd Ruby Gem (for ftptest) and wsgidav Python module (for webdavtest) in unittests. Note that this is a temporary option that will be removed when distros add those packages in their repos." OFF)

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})
find_package(KF6Solid ${KF_DEP_VERSION} REQUIRED) # for kio_trash
if (NOT ANDROID)
    find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
endif()

if (NOT KIOCORE_ONLY)
find_package(KF6Bookmarks ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)

find_package(KF6KDED ${KF_DEP_VERSION})
set_package_properties(KF6KDED PROPERTIES DESCRIPTION "Daemon providing session services"
                       TYPE RUNTIME
                       PURPOSE "KDED is used at runtime for proxy management and cookie storage"
                      )

find_package(SwitcherooControl)
set_package_properties(SwitcherooControl PROPERTIES
    TYPE RUNTIME
    PURPOSE "Hybrid GPU support"
)

endif()

if (UNIX AND NOT ANDROID)
    find_package(KF6Auth ${KF_DEP_VERSION} REQUIRED)
endif()

# tell what is missing without doctools
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION "Provides tools to generate documentation in various format from DocBook files"
                       TYPE OPTIONAL
                       PURPOSE "Required to build help KIO worker and documentation"
                      )

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Network Concurrent Xml Test)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
set(DBUS_LIB)
if(USE_DBUS)
    find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
    add_definitions(-DWITH_QTDBUS)
    set(DBUS_LIB Qt6::DBus)
endif()

if (Qt6Core_VERSION VERSION_LESS 6.7.0)
    find_package(Qt6Core5Compat ${REQUIRED_QT_VERSION} REQUIRED) # QTextCodec
endif()

if (NOT APPLE AND NOT WIN32 AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with X11 integration" ON)
    set(HAVE_X11 ${WITH_X11})

    option(WITH_WAYLAND "Build with Wayland integration" ON)
    set(HAVE_WAYLAND ${WITH_WAYLAND})
endif()

find_package(ACL)
set(HAVE_LIBACL ${ACL_FOUND})
set(HAVE_POSIX_ACL ${ACL_FOUND})
set_package_properties(ACL PROPERTIES DESCRIPTION "LibACL"
                       URL "ftp://oss.sgi.com/projects/xfs/cmd_tars"
                       TYPE RECOMMENDED
                       PURPOSE "Support for manipulating access control lists")

# Used by KMountPoint
if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(LibMount REQUIRED)
    set(HAVE_LIB_MOUNT ${LibMount_FOUND})
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")
ki18n_install(po)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF6DocTools_FOUND)
     add_subdirectory(docs)
endif()

include(CheckLibraryExists)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    if (NOT KIOCORE_ONLY)
        add_subdirectory(tests)
    endif()
endif()

add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KIO")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6KIO_QCH
        FILE KF6KIOQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6KIOQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KIOConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6KIOTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6KIOTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIO COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_subdirectory(core)

# KIOCore-only executables
if (NOT ANDROID)
    add_subdirectory(kioworkers)
    add_subdirectory(schemehandlers)
endif()

if (HAVE_QTDBUS)
    add_subdirectory(kiod)
    add_subdirectory(kssld)
endif()
add_subdirectory(kioworker)

if (NOT KIOCORE_ONLY)
add_subdirectory(gui)
add_subdirectory(widgets)

if (HAVE_QTDBUS)
    add_subdirectory(kpasswdserver)
    add_subdirectory(kioexec)
endif()

if (NOT ANDROID)
    add_subdirectory(filewidgets)
    add_subdirectory(urifilters)
endif()

set(NON_KIOCORE_LINK_QCHS
    Qt6Widgets_QCH
    Qt6Network_QCH
    KF6Completion_QCH
    KF6WidgetsAddons_QCH
    KF6JobWidgets_QCH
    KF6Bookmarks_QCH
    KF6ItemViews_QCH
    KF6Solid_QCH
    KF6WindowSystem_QCH
)

if(BUILD_DESIGNERPLUGIN AND HAVE_QTDBUS)
    add_subdirectory(designer)
endif()

endif()

ecm_qt_install_logging_categories(
    EXPORT KIO
    FILE kio.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (BUILD_QCH)
    macro(_make_absolute var_name base_path)
        set(_result)
        foreach(_path ${${var_name}})
            if(IS_ABSOLUTE "${_path}")
                list(APPEND _result "${_path}")
            else()
                list(APPEND _result "${base_path}/${_path}")
            endif()
        endforeach()
        set(${var_name} ${_result})
    endmacro()

    _make_absolute(KIOCore_QCH_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/core")
    _make_absolute(KIOGui_QCH_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/gui")
    _make_absolute(KIOWidgets_QCH_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/widgets")
    _make_absolute(KIOFileWidgets_QCH_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/filewidgets")

    ecm_add_qch(
        KF6KIO_QCH
        NAME KIO
        BASE_NAME KF6KIO
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIOCore_QCH_SOURCES}
            ${KIOGui_QCH_SOURCES}
            ${KIOWidgets_QCH_SOURCES}
            ${KIOFileWidgets_QCH_SOURCES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF6CoreAddons_QCH
            KF6Service_QCH
            ${NON_KIOCORE_LINK_QCHS}
        BLANK_MACROS
            KIOCORE_EXPORT
            KIOCORE_DEPRECATED_EXPORT
            KIOCORE_DEPRECATED
            "KIOCORE_DEPRECATED_VERSION(x, y, t)"
            "KIOCORE_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KIOCORE_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KIOCORE_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            KIOGUI_EXPORT
            KIOGUI_DEPRECATED_EXPORT
            KIOGUI_DEPRECATED
            "KIOGUI_DEPRECATED_VERSION(x, y, t)"
            "KIOGUI_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t))"
            "KIOGUI_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KIOGUI_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t))"
            KIOWIDGETS_EXPORT
            KIOWIDGETS_DEPRECATED_EXPORT
            KIOWIDGETS_DEPRECATED
            "KIOWIDGETS_DEPRECATED_VERSION(x, y, t)"
            "KIOWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KIOWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KIOWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            KIOFILEWIDGETS_EXPORT
            KIOFILEWIDGETS_DEPRECATED_EXPORT
            KIOFILEWIDGETS_DEPRECATED
            "KIOFILEWIDGETS_DEPRECATED_VERSION(x, y, t)"
            "KIOFILEWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t))"
            "KIOFILEWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KIOFILEWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t))"
        PREDEFINED_MACROS
            "KIOCORE_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KIOCORE_BUILD_DEPRECATED_SINCE(x, y)=1"
            "KIOGUI_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KIOGUI_BUILD_DEPRECATED_SINCE(x, y)=1"
            "KIOWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KIOWIDGETS_BUILD_DEPRECATED_SINCE(x, y)=1"
            "KIOFILEWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KIOFILEWIDGETS_BUILD_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/filewidgets/CMakeLists.txt ===
find_package(KF6Bookmarks ${KF_DEP_VERSION} REQUIRED)

configure_file(config-kiofilewidgets.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kiofilewidgets.h)

add_library(KF6KIOFileWidgets)
add_library(KF6::KIOFileWidgets ALIAS KF6KIOFileWidgets)

set_target_properties(KF6KIOFileWidgets PROPERTIES
    VERSION     ${KIO_VERSION}
    SOVERSION   ${KIO_SOVERSION}
    EXPORT_NAME KIOFileWidgets
)

target_sources(KF6KIOFileWidgets PRIVATE
  kfilemetapreview.cpp
  kimagefilepreview.cpp
  kpreviewwidgetbase.cpp
  defaultviewadapter.cpp

  kdiroperator.cpp
  kdiroperatordetailview.cpp
  kdiroperatoriconview.cpp
  kdirsortfilterproxymodel.cpp #used in combination with kdirmodel.cpp
  kencodingfiledialog.cpp
  kfilebookmarkhandler.cpp
  kfilecopytomenu.cpp
  kfilecustomdialog.cpp
  kfilefiltercombo.cpp
  kfilewidget.cpp
  kfilewidgetdocktitlebar.cpp
  kfileplacesitem.cpp
  kfileplacesmodel.cpp
  kfileplacesview.cpp
  kfileplaceeditdialog.cpp
  kfilepreviewgenerator.cpp
  knameandurlinputdialog.cpp
  knewfilemenu.cpp
  kurlnavigatordropdownbutton.cpp
  kurlnavigatorbuttonbase.cpp
  kurlnavigatorbutton.cpp
  kurlnavigatorplacesselector.cpp
  kurlnavigatorschemecombo.cpp
  kurlnavigatortogglebutton.cpp
  kurlnavigator.cpp
  kurlnavigatormenu.cpp
  kurlnavigatorpathselectoreventfilter.cpp

  ../new_file_templates/templates.qrc
)


ecm_qt_export_logging_category(
    IDENTIFIER KFILEWIDGETS_LOG
    CATEGORY_NAME kf.kio.filewidgets
    OLD_CATEGORY_NAMES kf5.kio.filewidgets
    DESCRIPTION "KFileWidgets (KIO)"
    EXPORT KIO
)

ecm_qt_export_logging_category(
    IDENTIFIER KIO_KFILEWIDGETS_FW
    CATEGORY_NAME kf.kio.filewidgets.kfilewidget
    OLD_CATEGORY_NAMES kf5.kio.filewidgets.kfilewidget
    DEFAULT_SEVERITY Info
    DESCRIPTION "KFileWidgets (KIO)"
    EXPORT KIO
)

ecm_qt_declare_logging_category(KF6KIOFileWidgets
    HEADER kfilefiltercombo_debug.h
    IDENTIFIER KIO_KFILEWIDGETS_KFILEFILTERCOMBO
    CATEGORY_NAME kf.kio.filewidgets.kfilefiltercombo
    OLD_CATEGORY_NAMES kf5.kio.filewidgets.kfilefiltercombo
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KFileFilterCombo (KIO)"
    EXPORT KIO
)

ecm_qt_declare_logging_category(KF6KIOFileWidgets
    HEADER kfilewidgets_debug.h
    IDENTIFIER KFILEWIDGETS_LOG
    CATEGORY_NAME kf.kio.filewidgets.kfilewidgets
    OLD_CATEGORY_NAMES kf5.kio.filewidgets.kfilewidgets
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KFileWidgets (KIO)"
    EXPORT KIO
)

ecm_generate_export_header(KF6KIOFileWidgets
    BASE_NAME KIOFileWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KIO
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.3
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6KIOFileWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KIOFileWidgets>")

target_link_libraries(KF6KIOFileWidgets
  PUBLIC
    KF6::KIOWidgets
    KF6::Bookmarks    # in KFilePlacesModel's API
    KF6::ItemViews     # kdirsortfilterproxymodel
    KF6::Solid         # KFilePlacesModel/KFilePlacesView
  PRIVATE
    KF6::GuiAddons    # KIconUtils
    KF6::IconThemes   # KIconLoader
    KF6::IconWidgets   # KIconButton
    KF6::I18n
    KF6::ConfigGui
    KF6::BookmarksWidgets
    KF6::ColorScheme
)
if (Qt6Core_VERSION VERSION_LESS 6.7.0)
    target_link_libraries(KF6KIOFileWidgets PRIVATE Qt6::Core5Compat)
endif()

ecm_generate_headers(KIOFileWidgets_HEADERS
  HEADER_NAMES
  KAbstractViewAdapter
  KImageFilePreview
  KPreviewWidgetBase
  KDirOperator
  KDirSortFilterProxyModel
  KFileCopyToMenu
  KFileCustomDialog
  KFileFilterCombo
  KFilePlaceEditDialog
  KFilePlacesModel
  KFilePlacesView
  KFilePreviewGenerator
  KFileWidget
  KUrlNavigator
  KNewFileMenu
  KNameAndUrlInputDialog
  KEncodingFileDialog

  REQUIRED_HEADERS KIOFileWidgets_HEADERS
)

install(TARGETS KF6KIOFileWidgets EXPORT KF6KIOTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${KIOFileWidgets_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kiofilewidgets_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIOFileWidgets COMPONENT Devel)

# make available to ecm_add_qch in parent folder
set(KIOFileWidgets_QCH_SOURCES ${KIOFileWidgets_HEADERS} PARENT_SCOPE)

add_subdirectory(dropIntoNewFolder)

=== src/kioworker/CMakeLists.txt ===
# Name without version postfix, as namespace by installation in kf-versioned subdir on shared systems
add_executable(kioworker)
ecm_mark_nongui_executable(kioworker)

target_sources(kioworker PRIVATE
    kioworker.cpp
)

target_link_libraries(kioworker
   KF6::KIOCore
)

install(TARGETS kioworker DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

=== src/filewidgets/dropIntoNewFolder/CMakeLists.txt ===

set(dropnewintonewfolderPlugin_SRCS dropintonewfolderPlugin.cpp)

kcoreaddons_add_plugin(dropintonewfolder
    SOURCES ${dropintonewfolderPlugin_SRCS}
    INSTALL_NAMESPACE kf6/kio_dnd)

target_link_libraries(dropintonewfolder KF6::KIOWidgets KF6::KIOFileWidgets KF6::I18n)

=== src/urifilters/localdomain/CMakeLists.txt ===
kcoreaddons_add_plugin(localdomainurifilter SOURCES localdomainurifilter.cpp INSTALL_NAMESPACE "kf6/urifilters")

ecm_qt_export_logging_category(
    IDENTIFIER category
    CATEGORY_NAME kf.kio.urifilters.localdomain
    OLD_CATEGORY_NAMES org.kde.kurifilter-localdomain
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KUriFilter Local Domain (KIO)"
    EXPORT KIO
)

target_link_libraries(localdomainurifilter KF6::KIOGui)

## kf6-kio 6.3.0

=== debian/changelog ===
kf6-kio (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:41 +0200

kf6-kio (6.0.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 18 May 2024 08:53:09 +0200

kf6-kio (6.0.0-2) experimental; urgency=medium

  [ Rene Engelhard ]
  * fix libkf6kio-dev Depends

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 May 2024 20:35:08 +0200

kf6-kio (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 13 May 2024 21:42:32 +0200

kio (5.115.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the patch fix_kfreebsd_build, already not applied anymore since
    5.88.0-1.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015452).
  * Recommend switcheroo-control (Closes: #1051914).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:06:16 +0100

kio (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

kio (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

kio (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh lintian overrides.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

kio (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kio (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 21:53:23 +0100

kio (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update symbols from build for 5.101.0.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

kio (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper, and dh-sequence-sodeps build
      dependencies to use the pkgkde_symbolshelper, and sodeps addons
      automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Mon, 21 Nov 2022 09:13:21 +0100

kio (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

kio (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

kio (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.97.0.
  * Refresh copyright information.
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

kio (5.96.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds. (Closes: #1016581)

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2022 06:49:04 +0200

kio (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Move systemsettings as recommends, rather than as dependency; this avoids
    a dependency cycle...
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 12:32:23 +0200

kio (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.96.0.
  * Add a Recommends on systemsettings used to invoke the trash KCM.


=== debian/control ===
Source: kf6-kio
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kded6-dev (>= 6.3.0~),
               libacl1-dev,
               libkf6archive-dev (>= 6.3.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkf6solid-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libmount-dev [linux-any],
               libxml2-dev,
               libxslt1-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kio
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
Rules-Requires-Root: no

Package: kio6
Architecture: any
Depends: kded6, ${misc:Depends}, ${shlibs:Depends},
Recommends: switcheroo-control [amd64 i386], systemsettings,
Description: resource and network access abstraction
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.

Package: libkf6kio-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks-dev (>= 6.3.0~),
         libkf6completion-dev (>= 6.3.0~),
         libkf6config-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6itemviews-dev (>= 6.3.0~),
         libkf6jobwidgets-dev (>= 6.3.0~),
         libkf6service-dev (>= 6.3.0~),
         libkf6solid-dev (>= 6.3.0~),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         libkf6windowsystem-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Recommends: libkf6kio-doc (= ${source:Version}),
Description: resource and network access abstraction (development files)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the development files for kio.

Package: libkf6kio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: resource and network access abstraction (documentation)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the QCH documentation files.

Package: libkf6kiocore6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO core library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains the core classes.

Package: libkf6kiofilewidgets6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO file widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some file dialog widgets.

Package: libkf6kiogui6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO gui library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains gui related jobs.

Package: libkf6kiowidgets6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some UI widgets.

## kf6-kio 6.6.0

=== debian/changelog ===
kf6-kio (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:36:55 +0100

kf6-kio (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:30 +0100

kf6-kio (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:16 +0100

kf6-kio (6.4.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jul 2024 09:52:11 +0100

kf6-kio (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Update installed files
  * Update symbols, mark KProtocolManagerPrivate symbols as optional

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kio
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,31 +11,31 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               kded6-dev (>= 6.3.0~),
+               kded6-dev (>= 6.6.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6auth-dev (>= 6.3.0~),
-               libkf6bookmarks-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6itemviews-dev (>= 6.3.0~),
-               libkf6jobwidgets-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
-               libkf6solid-dev (>= 6.3.0~),
-               libkf6wallet-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6windowsystem-dev (>= 6.3.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6auth-dev (>= 6.6.0~),
+               libkf6bookmarks-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6itemviews-dev (>= 6.6.0~),
+               libkf6jobwidgets-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
+               libkf6solid-dev (>= 6.6.0~),
+               libkf6wallet-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6windowsystem-dev (>= 6.6.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -43,8 +44,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kio
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
 Rules-Requires-Root: no
 
 Package: kio6
@@ -61,16 +62,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.3.0~),
-         libkf6completion-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6itemviews-dev (>= 6.3.0~),
-         libkf6jobwidgets-dev (>= 6.3.0~),
-         libkf6service-dev (>= 6.3.0~),
-         libkf6solid-dev (>= 6.3.0~),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
-         libkf6windowsystem-dev (>= 6.3.0~),
+Depends: libkf6bookmarks-dev (>= 6.6.0~),
+         libkf6completion-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6itemviews-dev (>= 6.6.0~),
+         libkf6jobwidgets-dev (>= 6.6.0~),
+         libkf6service-dev (>= 6.6.0~),
+         libkf6solid-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6windowsystem-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkio6
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kf6-kio 6.9.0

=== debian/changelog ===
kf6-kio (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:20 +0000

kf6-kio (6.8.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:35:30 -0600

kf6-kio (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:35:30 -0600

kf6-kio (6.8.0-0ubuntu2) plucky; urgency=medium

  * Move systemsettings to Suggests.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 01:34:22 -0600

kf6-kio (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Refresh report_error_removing_dirs patch.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:40 +0000

kf6-kio (6.6.0-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:16:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
-               kded6-dev (>= 6.6.0~),
+               kded6-dev (>= 6.9.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6auth-dev (>= 6.6.0~),
-               libkf6bookmarks-dev (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6completion-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6configwidgets-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6dbusaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6itemviews-dev (>= 6.6.0~),
-               libkf6jobwidgets-dev (>= 6.6.0~),
-               libkf6service-dev (>= 6.6.0~),
-               libkf6solid-dev (>= 6.6.0~),
-               libkf6wallet-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6windowsystem-dev (>= 6.6.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6auth-dev (>= 6.9.0~),
+               libkf6bookmarks-dev (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
+               libkf6completion-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6configwidgets-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6crash-dev (>= 6.9.0~),
+               libkf6dbusaddons-dev (>= 6.9.0~),
+               libkf6doctools-dev (>= 6.9.0~),
+               libkf6guiaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6iconthemes-dev (>= 6.9.0~),
+               libkf6itemviews-dev (>= 6.9.0~),
+               libkf6jobwidgets-dev (>= 6.9.0~),
+               libkf6service-dev (>= 6.9.0~),
+               libkf6solid-dev (>= 6.9.0~),
+               libkf6wallet-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkf6windowsystem-dev (>= 6.9.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -51,7 +51,8 @@
 Package: kio6
 Architecture: any
 Depends: kded6, ${misc:Depends}, ${shlibs:Depends},
-Recommends: switcheroo-control [amd64 i386], systemsettings,
+Recommends: switcheroo-control [amd64 i386],
+Suggests: systemsettings,
 Description: resource and network access abstraction
  KDE Input/Output framework provides a single API for
  operating on files, whether local or on a remote server.
@@ -62,16 +63,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.6.0~),
-         libkf6completion-dev (>= 6.6.0~),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6itemviews-dev (>= 6.6.0~),
-         libkf6jobwidgets-dev (>= 6.6.0~),
-         libkf6service-dev (>= 6.6.0~),
-         libkf6solid-dev (>= 6.6.0~),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkf6windowsystem-dev (>= 6.6.0~),
+Depends: libkf6bookmarks-dev (>= 6.9.0~),
+         libkf6completion-dev (>= 6.9.0~),
+         libkf6config-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6itemviews-dev (>= 6.9.0~),
+         libkf6jobwidgets-dev (>= 6.9.0~),
+         libkf6service-dev (>= 6.9.0~),
+         libkf6solid-dev (>= 6.9.0~),
+         libkf6widgetsaddons-dev (>= 6.9.0~),
+         libkf6windowsystem-dev (>= 6.9.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
